Page MenuHomePhabricator

No SSL for MobileFrontend m. domain: https://en.m.wikipedia.org/ does not respond
Closed, ResolvedPublic

Description

https://en.m.wikipedia.org/

"Unable to connect

Firefox can't establish a connection to the server at en.m.wikipedia.org."

*.m.wikipedia.org has its own font-end proxy (mobile-lb) which doesn't appear to handle port 443 for HTTPS.

Note that SSL certs for *.wikipedia.org won't apply to something.m.wikipedia.org as they only apply for that single level of wildcarding. Nice.


Version: unspecified
Severity: enhancement
URL: https://en.m.wikipedia.org/

Details

Reference
bz31333

Related Objects

StatusAssignedTask
ResolvedNone
OpenNone
ResolvedNone
ResolvedNone
DeclinedNone
DeclinedNone
InvalidNone
InvalidNone
Declinedbrion
Resolved yuvipanda
ResolvedNone
DeclinedNone
ResolvedNone
ResolvedNone
ResolvedNone
DeclinedNone
ResolvedNone
Resolved Tfinc
ResolvedNone
ResolvedNone
ResolvedReedy
ResolvedNone
ResolvedNone

Event Timeline

bzimport raised the priority of this task from to Low.Nov 21 2014, 11:54 PM
bzimport added a project: HTTPS.
bzimport set Reference to bz31333.
bzimport added a subscriber: Unknown Object (MLST).
brion created this task.Oct 3 2011, 8:28 PM

As noted in Bug 29896 *.m.wikipedia.org should be going away soon.

brion added a comment.Oct 4 2011, 5:56 PM

(In reply to comment #1)

As noted in Bug 29896 *.m.wikipedia.org should be going away soon.

Can you provide more details on that? Note that there are iPhone/iPad apps that explicitly link to the m. domain to force 'mobile' rendering, which presumably might be affected by some sort of elimination of the domain.

  • Bug 31390 has been marked as a duplicate of this bug. ***
Dzahn added a comment.Feb 7 2012, 10:18 AM

https://en.m.wikipedia.org/ works meanwhile. Setting status to "resolved".

Restricted Application added a project: Traffic. · View Herald TranscriptAug 5 2016, 11:40 AM